Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain
Interface OlapUnit

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  OlapUnitImpl

    public interface OlapUnit

extends Resource

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`ResourceReference` | `getDataSource()` Returns the reference to the `data source` used by this olap unit.
`java.lang.String` | `getMdxQuery()`
`ResourceReference` | `getOlapClientConnection()`
`java.lang.Object` | `getOlapViewOptions()`
`void` | `setDataSource(ReportDataSource dataSource)`
`void` | `setDataSource(ResourceReference dataSourceReference)`
`void` | `setDataSourceReference(java.lang.String referenceURI)`
`void` | `setMdxQuery(java.lang.String query)`
`void` | `setOlapClientConnection(OlapClientConnection olapConnection)`
`void` | `setOlapClientConnection(ResourceReference olapConnectionReference)`
`void` | `setOlapClientConnectionReference(java.lang.String referenceURI)`
`void` | `setOlapViewOptions(java.lang.Object options)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Method Detail

### getOlapClientConnection

    ResourceReference getOlapClientConnection()

### setOlapClientConnection

    void setOlapClientConnection(OlapClientConnection olapConnection)

### setOlapClientConnection

    void setOlapClientConnection(ResourceReference olapConnectionReference)

### setOlapClientConnectionReference

    void setOlapClientConnectionReference(java.lang.String referenceURI)

### getMdxQuery

    java.lang.String getMdxQuery()

### setMdxQuery

    void setMdxQuery(java.lang.String query)

### getOlapViewOptions

    java.lang.Object getOlapViewOptions()

### setOlapViewOptions

    void setOlapViewOptions(java.lang.Object options)

### getDataSource

    ResourceReference getDataSource()

  Returns the reference to the `data source` used by this olap unit.

  Returns:
    a reference to the data source used by this olap unit

### setDataSource

    void setDataSource(ResourceReference dataSourceReference)

### setDataSource

    void setDataSource(ReportDataSource dataSource)

### setDataSourceReference

    void setDataSourceReference(java.lang.String referenceURI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.